<?php

namespace Elementor;

if( ! defined( 'ABSPATH' ) ) exit();

class WKP_Elementor_Category {

    private static $instance = null;

    public static function init() {
        if(null === self::$instance ) {
            self::$instance = new self;
        }
        return self::$instance;
    }

    public function __construct() {
        $this->elementor_integration();
        $this->elementor_woo_single_integration();
    }

    public function elementor_integration() {
        Plugin::instance()->elements_manager->add_category(
            'widgetkit_pro',
            [
                'title'  => 'WidgetKit Pro',
                'icon'   => 'eicon-font'
            ],
            1
        );

        Plugin::instance()->elements_manager->add_category(
            'widgetkit_pro_learndash_elements',
            [
                'title'  => __('Learndash Elements','widgetkit-pro'),
                'icon'   => 'eicon-font'
            ]
        );
    }
    public function elementor_woo_single_integration(){
        Plugin::instance()->elements_manager->add_category(
            'widgetkit_pro_woo_single_product',
            [
                'title'  => 'WooCommerce Single Product',
                'icon'   => 'eicon-font'
            ],
            1
        );
    }

}
return WKP_Elementor_Category::init();